# Generated by Django 3.0 on 2020-01-29 15:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Banner',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=30)),
                ('width_field', models.PositiveIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, verbose_name='Height Field')),
                ('pic', models.ImageField(height_field='height_field', upload_to='uploads/site/banners', width_field='width_field')),
                ('is_main', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name': 'Banner',
                'verbose_name_plural': 'Banners',
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50, verbose_name='Title')),
                ('slug', models.SlugField(max_length=60, verbose_name='Slug')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
            },
        ),
        migrations.CreateModel(
            name='Gallery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=80)),
                ('width_field', models.PositiveIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, verbose_name='Height Field')),
                ('pic', models.ImageField(height_field='height_field', upload_to='uploads/site/gallery', width_field='width_field')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
            options={
                'verbose_name': 'Gallery',
                'verbose_name_plural': 'Gallerys',
            },
        ),
        migrations.CreateModel(
            name='InstagramPosts',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=30)),
                ('width_field', models.PositiveIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, verbose_name='Height Field')),
                ('pic', models.ImageField(height_field='height_field', upload_to='uploads/site/insta', width_field='width_field')),
                ('likes', models.PositiveSmallIntegerField(verbose_name='Likes')),
                ('comments', models.PositiveSmallIntegerField(verbose_name='Comments')),
            ],
            options={
                'verbose_name': 'Instagram Post',
                'verbose_name_plural': 'Instagram Posts',
            },
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=20)),
                ('keywords', models.CharField(max_length=255)),
                ('description', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'PageTemplate',
                'verbose_name_plural': 'PageTemplates',
            },
        ),
        migrations.CreateModel(
            name='Site',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain', models.URLField(verbose_name='Domain')),
                ('footer', models.TextField()),
                ('insta', models.URLField(verbose_name='Instagram')),
                ('facebook', models.URLField(verbose_name='Facebook')),
                ('mail', models.URLField(verbose_name='Mail')),
                ('width_field', models.PositiveIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, verbose_name='Height Field')),
                ('logo', models.ImageField(height_field='height_field', upload_to='uploads/site', width_field='width_field')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
        ),
        migrations.CreateModel(
            name='Story',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=30)),
                ('last_name', models.CharField(max_length=30)),
                ('content', models.TextField()),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
            options={
                'verbose_name': 'Story',
                'verbose_name_plural': 'Storys',
            },
        ),
        migrations.CreateModel(
            name='Testimonial',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('full_name', models.CharField(max_length=100)),
                ('email', models.EmailField(max_length=100)),
                ('content', models.CharField(max_length=255)),
                ('width_field', models.PositiveIntegerField(editable=False, verbose_name='Width Field')),
                ('height_field', models.PositiveIntegerField(editable=False, verbose_name='Height Field')),
                ('pic', models.ImageField(height_field='height_field', upload_to='uploads/site/gallery', width_field='width_field')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('story', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='testimonials', to='pages.Story', verbose_name='Story')),
            ],
            options={
                'verbose_name': 'Testimonial',
                'verbose_name_plural': 'Testimonials',
            },
        ),
    ]
